function [A,B,v,norma_u]=progA(a,b,c,n)
%Test1-A  correr con:  > progA(3,0.5,1,10)
%
A=diag(a*ones(1,n))-diag(b*ones(1,n-1),1)-diag(b*ones(1,n-1),-1);
B=diag(c*ones(1,n))+diag(b*ones(1,n-1),1)+diag(b*ones(1,n-1),-1);
for i=1:n
    v(i)=i*(11-i);
end
%
x=1:10;
xx=1:01:10;
yy=spline(x,v,xx);
plot(xx,yy)

hold on
%
v=v';
R=chol(A);
for k=1:50
    z=R'\(B*v);
    u=R\z;
    v=u;
end
%
norma_u=norm(u,Inf)
%
